PTS_DELETE(1)

NAME
pts_delete - Deletes a Protection Database entry

SYNOPSIS
pts delete B<-nameorid> <I<user or group name or id>>+
    [B<-cell> <I<cell name>>] [-noauth] [-localauth]
    [-force] [-help]

pts d B<-na> <I<user or group name or id>>+
    [B<-c> <I<cell name>>] [-no] [-l] [-f] [-h]

DESCRIPTION
The pts delete command removes each entry specified by the -nameorid argument from the Protection Database. Deleting entries affects other parts of the system in various ways:

•   Deleted users and groups still appear on access control lists (ACLs), but are listed by AFS UID or GID rather than by name, because there is no longer an associated name to which to translate the ID. To remove these obsolete entries from ACLs, use the fs cleanacl command.

•   Deleting a user or machine's entry removes it from the membership list of any group to which it belonged.

•   Deleting a group entry removes it from the membership list of any user or machine entry that belonged to the group, and also increments the group-creation quota of the group's creator by one, even if the creator no longer owns the group.

To remove a user or machine from a group without actually deleting the entry, use the pts removeuser command.

OPTIONS

-nameorid <user or group name or ID>+
    Specifies the name or AFS UID of each user, the name or AFS GID of each group, or the IP address (complete or wildcard-style) or AFS UID of each machine entry to delete. It is acceptable to mix users, machines, and groups on the same command line, as well as names (IP addresses for machines) and IDs. Precede the GID of each group with a hyphen to indicate that it is negative.

-cell <cell name>
    Names the cell in which to run the command. For more details, see pts(1).

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
    Prints the online help for this command. All other valid options are ignored.

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. Do not combine this flag with the -cell or -noauth options. For more details, see pts(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see pts(1).

EXAMPLES
The following example deletes the user entries "pat" and "terry":

   % pts delete pat terry

The following example deletes the Protection Database entry of the group with AFS GID -215.

   % pts delete -215

PRIVILEGE REQUIRED
The issuer must belong to the system:administrators group to delete user and machine entries. To delete group entries, the issuer must either own the group or belong to the system:administrators group.

SEE ALSO
fs_cleanacl(1), pts(1), pts_removeuser(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.